
Figure - Bug #113493
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现ANR:com.android.music
2022-11-01 15:53 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 10:28:00.071  6173 10310 W Monkey  : // NOT RESPONDING: com.android.music (pid 5842)

10-28 10:28:00.071  6173 10310 W Monkey  : ANR in com.android.music

(com.android.music/com.codeaurora.music.custom.PermissionActivity)

10-28 10:28:00.071  6173 10310 W Monkey  : PID: 5842

10-28 10:28:00.071  6173 10310 W Monkey  : Reason: Input dispatching timed out (Application does not have a focused window)

10-28 10:28:00.071  6173 10310 W Monkey  : Parent: com.android.music/com.codeaurora.music.custom.PermissionActivity

10-28 10:28:00.071  6173 10310 W Monkey  : ErrorId: d85ff194-a27b-4614-a70d-8ea33d79806c

10-28 10:28:00.071  6173 10310 W Monkey  : Frozen: false

10-28 10:28:00.071  6173 10310 W Monkey  : Load: 8.31 / 7.92 / 7.83

10-28 10:28:00.071  6173 10310 W Monkey  : ----- Output from /proc/pressure/memory -----

10-28 10:28:00.071  6173 10310 W Monkey  : some avg10=0.02 avg60=0.04 avg300=0.00 total=1327446

10-28 10:28:00.071  6173 10310 W Monkey  : full avg10=0.00 avg60=0.00 avg300=0.00 total=668559

10-28 10:28:00.071  6173 10310 W Monkey  : ----- End output from /proc/pressure/memory -----

10-28 10:28:00.071  6173 10310 W Monkey  : 

10-28 10:28:00.071  6173 10310 W Monkey  : CPU usage from 9758ms to 24172ms later (2022-10-28 10:27:45.554 to 2022-10-28 10:27:59.969):

10-28 10:28:00.071  6173 10310 W Monkey  :   101% 6592/com.qualcomm.qti.usta: 99% user + 1.5% kernel / faults: 544 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   99% 1255/ept_uppertester_v2.0_fse: 88% user + 11% kernel

10-28 10:28:00.071  6173 10310 W Monkey  :   7.2% 1240/tlog: 0.4% user + 6.7% kernel / faults: 2 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   7.1% 1135/system_server: 2.7% user + 4.3% kernel / faults: 6255 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   0.3% 1455/media.swcodec: 0% user + 0.2% kernel / faults: 8960 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   4.3% 31819/com.microsoft.emmx: 0.4% user + 3.9% kernel / faults: 4 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   3.6%

1012/com.microsoft.emmx:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:126: 0.9% user + 2.7% kernel / faults:

1298 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   3% 6365/com.android.permissioncontroller: 1.8% user + 1.1% kernel / faults: 6702 minor

10-28 10:28:00.071  6173 10310 W Monkey  :   2.5% 5290/kworker/u16:9-ufs_clkscaling_0: 0% user + 2.5% kernel

10-28 10:28:00.071  6173 10310 W Monkey  :   1.8% 3967/kworker/u16:0-memlat_wq: 0% user + 1.8% kernel
10-28 10:28:00.071  6173 10310 W Monkey  :   1.5% 32116/kworker/u16:17-governor_msm_adreno_tz_: 0% user + 1.5% kernel

10-28 10:28:00.071  6173 10310 W Monkey  :   0% 1300/media.extractor: 0% user + 0% kernel / faults: 1807 minor

...

History

#1 - 2022-11-01 16:10 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-01 17:18 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

app的问题，请帮忙分析

#3 - 2022-11-03 10:06 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CD Test赵飞

Monkey测试中出现的问题，请帮忙上传TLog，同时ANR问题需要将data目录下的anr文件夹一起抓出来，谢谢。

#4 - 2022-11-07 13:46 - CD Test赵飞

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD APP-王营

11月4号DB版本执行Monkey测试60H，出现1次music ANR，报错信息如下：

// 

// NOT RESPONDING: com.android.music (pid 7354)

ANR in com.android.music (com.android.music/.VideoBrowserActivity)

PID: 7354

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.music/.VideoBrowserActivity

ErrorId: 90767dd9-ad36-4644-91f7-c308ae170b58

Frozen: false

Load: 4.52 / 6.61 / 6.96

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=177175

full avg10=0.00 avg60=0.00 avg300=0.00 total=74190

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 15539ms later (2022-11-04 10:08:55.390 to 2022-11-04 10:09:10.929):

  99% 1247/tlog: 3% user + 96% kernel / faults: 8 minor

  33% 7232/tlog: 0.7% user + 32% kernel / faults: 2 minor
  26% 1136/system_server: 5.2% user + 21% kernel / faults: 6959 minor

  7.7% 1409/media.swcodec: 1.3% user + 6.4% kernel / faults: 10691 minor

  6.1% 1335/media.codec: 2.1% user + 4% kernel / faults: 8864 minor

  5.2% 8463/com.microsoft.emmx: 1.7% user + 3.5% kernel / faults: 727 minor

  3.7% 10582/kworker/u16:10+WCNSS_CNTL: 0% user + 3.7% kernel

  3.4% 28592/kworker/u16:4+SENSORS_DATA: 0% user + 3.4% kernel

  2.4% 3245/com.sohu.inputmethod.sogou.car: 1.2% user + 1.1% kernel / faults: 1417 minor

  3.2% 14604/kworker/u16:16+LPASS_DATA: 0% user + 3.2% kernel

  2.8% 503/logd: 0.1% user + 2.6% kernel / faults: 15 minor

Tlog和ANR目录见Bug #113491 附件

#5 - 2022-11-09 18:58 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113491/Tlog&ANR.zip

#6 - 2022-11-14 14:01 - CD Test赵飞

com.android.music出现了两个Activity的ANR

此票跟踪com.android.music/com.codeaurora.music.custom.PermissionActivity的ANR

com.android.music/.VideoBrowserActivity的ANR在Bug #113933 中跟踪

此票问题的最新log见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113493/Tlog&#38;ANR.zip

#7 - 2022-11-16 19:55 - CDTS-TEST 周婷

- Due date deleted (2022-11-08)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#8 - 2022-12-05 17:34 - CD APP-王营

- Due date set to 2022-12-15

#9 - 2022-12-27 17:01 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#10 - 2022-12-28 14:28 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票
#11 - 2022-12-28 14:28 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

2025-07-04 4/4


